<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__hidss__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_hidss_t</compoundname>
    <includes local="no">cy_ble_hids.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__hidss__t_1a706e15c9e039749083904a41c2bcb02d" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_hidss_t::serviceHandle</definition>
        <argsstring />
        <name>serviceHandle</name>
        <briefdescription>
<para>Handle of HID service. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" bodystart="150" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" line="150" />
      </memberdef>
      <memberdef id="structcy__stc__ble__hidss__t_1ae552ac61a006f04bdd19f5a1f8055fe8" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_hidss_t::protocolModeHandle</definition>
        <argsstring />
        <name>protocolModeHandle</name>
        <briefdescription>
<para>Handle of Protocol Mode Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" bodystart="153" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" line="153" />
      </memberdef>
      <memberdef id="structcy__stc__ble__hidss__t_1a79b77e1c5838dce7992e3d6184db83b3" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_hidss_t::reportCount</definition>
        <argsstring />
        <name>reportCount</name>
        <briefdescription>
<para>Number of report Characteristics. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" bodystart="156" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" line="156" />
      </memberdef>
      <memberdef id="structcy__stc__ble__hidss__t_1a7c434a5c9ac39c1c4054fe0fa00beba6" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__ble__hidss__report__t">cy_stc_ble_hidss_report_t</ref> *</type>
        <definition>const cy_stc_ble_hidss_report_t* cy_stc_ble_hidss_t::reportArray</definition>
        <argsstring />
        <name>reportArray</name>
        <briefdescription>
<para>Info about report Characteristics. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" bodystart="159" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" line="159" />
      </memberdef>
      <memberdef id="structcy__stc__ble__hidss__t_1a94731ad1e8e263fe264ad5f06ab92780" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__hidss__report__t">cy_stc_ble_hidss_report_t</ref></type>
        <definition>cy_stc_ble_hidss_report_t cy_stc_ble_hidss_t::bootReportArray[CY_BLE_HIDS_BOOT_REPORT_COUNT]</definition>
        <argsstring>[CY_BLE_HIDS_BOOT_REPORT_COUNT]</argsstring>
        <name>bootReportArray</name>
        <briefdescription>
<para>Info about Boot Report Characteristics. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" bodystart="162" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" line="162" />
      </memberdef>
      <memberdef id="structcy__stc__ble__hidss__t_1a79be84e68819ffff9cfefeabeb2fa02c" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_hidss_t::reportMapHandle</definition>
        <argsstring />
        <name>reportMapHandle</name>
        <briefdescription>
<para>Handle of Report Map Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" bodystart="165" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" line="165" />
      </memberdef>
      <memberdef id="structcy__stc__ble__hidss__t_1ad81f910f37edbf405b5569b0aca84d4c" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_hidss_t::reportMapErrdHandle</definition>
        <argsstring />
        <name>reportMapErrdHandle</name>
        <briefdescription>
<para>Handle of Report Map External Report Reference descr. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" bodystart="168" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" line="168" />
      </memberdef>
      <memberdef id="structcy__stc__ble__hidss__t_1a227fde2ed98286ef8eb7c00318050884" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_hidss_t::informationHandle</definition>
        <argsstring />
        <name>informationHandle</name>
        <briefdescription>
<para>Handle of HID Information Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" bodystart="171" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" line="171" />
      </memberdef>
      <memberdef id="structcy__stc__ble__hidss__t_1adf1a6c614b5acd9d2eada15e133c5d07" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_hidss_t::controlPointHandle</definition>
        <argsstring />
        <name>controlPointHandle</name>
        <briefdescription>
<para>Handle of HID Control Point Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" bodystart="174" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" line="174" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Structure with HID Service attribute handles. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="825">
        <label>cy_stc_ble_hidss_report_t</label>
        <link refid="structcy__stc__ble__hidss__report__t" />
      </node>
      <node id="824">
        <label>cy_stc_ble_hidss_t</label>
        <link refid="structcy__stc__ble__hidss__t" />
        <childnode refid="825" relation="usage">
          <edgelabel>bootReportArray</edgelabel>
          <edgelabel>reportArray</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="175" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" bodystart="147" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" line="148" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__hidss__t_1a94731ad1e8e263fe264ad5f06ab92780" virt="non-virtual"><scope>cy_stc_ble_hidss_t</scope><name>bootReportArray</name></member>
      <member prot="public" refid="structcy__stc__ble__hidss__t_1adf1a6c614b5acd9d2eada15e133c5d07" virt="non-virtual"><scope>cy_stc_ble_hidss_t</scope><name>controlPointHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__hidss__t_1a227fde2ed98286ef8eb7c00318050884" virt="non-virtual"><scope>cy_stc_ble_hidss_t</scope><name>informationHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__hidss__t_1ae552ac61a006f04bdd19f5a1f8055fe8" virt="non-virtual"><scope>cy_stc_ble_hidss_t</scope><name>protocolModeHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__hidss__t_1a7c434a5c9ac39c1c4054fe0fa00beba6" virt="non-virtual"><scope>cy_stc_ble_hidss_t</scope><name>reportArray</name></member>
      <member prot="public" refid="structcy__stc__ble__hidss__t_1a79b77e1c5838dce7992e3d6184db83b3" virt="non-virtual"><scope>cy_stc_ble_hidss_t</scope><name>reportCount</name></member>
      <member prot="public" refid="structcy__stc__ble__hidss__t_1ad81f910f37edbf405b5569b0aca84d4c" virt="non-virtual"><scope>cy_stc_ble_hidss_t</scope><name>reportMapErrdHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__hidss__t_1a79be84e68819ffff9cfefeabeb2fa02c" virt="non-virtual"><scope>cy_stc_ble_hidss_t</scope><name>reportMapHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__hidss__t_1a706e15c9e039749083904a41c2bcb02d" virt="non-virtual"><scope>cy_stc_ble_hidss_t</scope><name>serviceHandle</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>